dp14: Data Fields - Variables

| dp14 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y

### - a -

- AuxDelayUs : XDp_Tx
- AvailPbn : XDp_RxPort
- AvgBytesPerTU : XDp_TxMainStreamAttributes

### - b -

- BaseAddr : XDp_Config
- BitsPerColor : XDp_TxMainStreamAttributes
- BoardChar : XDp_Tx

### - c -

- ComponentFormat : XDp_TxMainStreamAttributes
- Config : XDp
- cr_done_cnt : XDp_TxLinkConfig
- cr_done_oldstate : XDp_TxLinkConfig

### - d -

- DataPerLane : XDp_TxMainStreamAttributes
- DeviceId : XDp_Config
- DeviceType : XDp_TxTopologyNode
- DownspreadControl : XDp_TxLinkConfig
- DpcdMap : XDp_RxPort
- DpcdRev : XDp_TxTopologyNode , XDp_SbMsgLinkAddressReplyPortDetail
- DpcdRxCapsField : XDp_TxSinkConfig
- DpDevPlugStatus : XDp_SbMsgLinkAddressReplyPortDetail
- DpProtocol : XDp_Config
- DrvHpdEventCallbackRef : XDp_Tx
- DrvHpdEventHandler : XDp_Tx
- DrvHpdPulseCallbackRef : XDp_Tx
- DrvHpdPulseHandler : XDp_Tx
- DualPixelEn : XDp_Config
- DynamicRange : XDp_TxMainStreamAttributes

### - e -

- EnhancedFramingMode : XDp_TxLinkConfig
- Exposed : XDp_RxPort

### - f -

- FullPbn : XDp_RxPort

### - g -

- Guid : XDp_TxTopologyNode , XDp_SbMsgLinkAddressReplyDeviceInfo , XDp_SbMsgLinkAddressReplyPortDetail

### - h -

- HasRedriverInPath : XDp_TxBoardChar
- HpdEventCallbackRef : XDp_Tx
- HpdEventHandler : XDp_Tx
- HpdPulseCallbackRef : XDp_Tx
- HpdPulseHandler : XDp_Tx
- HStart : XDp_TxMainStreamAttributes

### - i -

- IicAddress : XDp_RxIicMapEntry
- IicMap : XDp_RxPort
- InitWait : XDp_TxMainStreamAttributes
- InputPort : XDp_SbMsgLinkAddressReplyPortDetail
- IntrAccessErrorCounterCallbackRef : XDp_Rx
- IntrAccessErrorCounterHandler : XDp_Rx
- IntrAccessLaneSetCallbackRef : XDp_Rx
- IntrAccessLaneSetHandler : XDp_Rx
- IntrAccessLinkQualCallbackRef : XDp_Rx
- IntrAccessLinkQualHandler : XDp_Rx
- IntrActRxCallbackRef : XDp_Rx
- IntrActRxHandler : XDp_Rx
- IntrAudioOverCallbackRef : XDp_Rx
- IntrAudioOverHandler : XDp_Rx
- IntrBwChangeCallbackRef : XDp_Rx
- IntrBwChangeHandler : XDp_Rx
- IntrCrcTestCallbackRef : XDp_Rx
- IntrCrcTestHandler : XDp_Rx
- IntrDownReplyCallbackRef : XDp_Rx
- IntrDownReplyHandler : XDp_Rx
- IntrDownReqCallbackRef : XDp_Rx
- IntrDownReqHandler : XDp_Rx
- IntrDrvNoVideoCallbackRef : XDp_Rx
- IntrDrvNoVideoHandler : XDp_Rx
- IntrDrvPowerStateCallbackRef : XDp_Rx
- IntrDrvPowerStateHandler : XDp_Rx
- IntrDrvVideoCallbackRef : XDp_Rx
- IntrDrvVideoHandler : XDp_Rx
- IntrExtPktCallbackRef : XDp_Rx
- IntrExtPktHandler : XDp_Rx
- IntrHdcpAinfoWrCallbackRef : XDp_Rx
- IntrHdcpAinfoWrHandler : XDp_Rx
- IntrHdcpAksvWrCallbackRef : XDp_Rx
- IntrHdcpAksvWrHandler : XDp_Rx
- IntrHdcpAnWrCallbackRef : XDp_Rx
- IntrHdcpAnWrHandler : XDp_Rx
- IntrHdcpBinfoRdCallbackRef : XDp_Rx
- IntrHdcpBinfoRdHandler : XDp_Rx
- IntrHdcpDbgWrCallbackRef : XDp_Rx
- IntrHdcpDbgWrHandler : XDp_Rx
- IntrHdcpRoRdCallbackRef : XDp_Rx
- IntrHdcpRoRdHandler : XDp_Rx
- IntrInfoPktCallbackRef : XDp_Rx
- IntrInfoPktHandler : XDp_Rx
- IntrNoVideoCallbackRef : XDp_Rx
- IntrNoVideoHandler : XDp_Rx
- IntrPayloadAllocCallbackRef : XDp_Rx
- IntrPayloadAllocHandler : XDp_Rx
- IntrPowerStateCallbackRef : XDp_Rx
- IntrPowerStateHandler : XDp_Rx
- IntrTp1CallbackRef : XDp_Rx
- IntrTp1Handler : XDp_Rx
- IntrTp2CallbackRef : XDp_Rx
- IntrTp2Handler : XDp_Rx
- IntrTp3CallbackRef : XDp_Rx
- IntrTp3Handler : XDp_Rx
- IntrTp4CallbackRef : XDp_Rx
- IntrTp4Handler : XDp_Rx
- IntrTrainingDoneCallbackRef : XDp_Rx
- IntrTrainingDoneHandler : XDp_Rx
- IntrTrainingLostCallbackRef : XDp_Rx
- IntrTrainingLostHandler : XDp_Rx
- IntrUnplugCallbackRef : XDp_Rx
- IntrUnplugHandler : XDp_Rx
- IntrVBlankCallbackRef : XDp_Rx
- IntrVBlankHandler : XDp_Rx
- IntrVideoCallbackRef : XDp_Rx
- IntrVideoHandler : XDp_Rx
- IntrVmChangeCallbackRef : XDp_Rx
- IntrVmChangeHandler : XDp_Rx
- IsReady : XDp
- IsRx : XDp_Config
- IsTps4Supported : XDp_Tx

### - l -

- LaneCount : XDp_TxLinkConfig , XDp_RxLinkConfig
- LaneCountChangeCallbackRef : XDp_Tx
- LaneStatusAdjReqs : XDp_TxSinkConfig
- LegacyDevPlugStatus : XDp_SbMsgLinkAddressReplyPortDetail
- LinkAddressInfo : XDp_RxTopology
- LinkConfig : XDp_Rx , XDp_Tx
- LinkCountTotal : XDp_TxTopologyNode
- LinkRate : XDp_TxLinkConfig , XDp_RxLinkConfig
- LinkRateChangeCallback : XDp_Tx

### - m -

- MaxBitsPerColor : XDp_Config
- MaxLaneCount : XDp_Config , XDp_TxLinkConfig
- MaxLinkRate : XDp_Config , XDp_TxLinkConfig
- Misc0 : XDp_TxMainStreamAttributes
- Misc1 : XDp_TxMainStreamAttributes
- MsaConfig : XDp_Tx
- MsgCapStatus : XDp_TxTopologyNode , XDp_SbMsgLinkAddressReplyPortDetail
- MstEnable : XDp_Tx
- MstPbn : XDp_TxMstStream
- MstStreamConfig : XDp_Tx
- MstStreamEnable : XDp_TxMstStream
- MstSupport : XDp_Config
- MVid : XDp_TxMainStreamAttributes

### - n -

- NodeTable : XDp_TxTopology
- NodeTotal : XDp_TxTopology
- NumAudioChs : XDp_Config
- NumMstStreams : XDp_Config
- NumPorts : XDp_SbMsgLinkAddressReplyDeviceInfo
- NumSdpStreams : XDp_SbMsgLinkAddressReplyPortDetail
- NumSdpStreamSinks : XDp_SbMsgLinkAddressReplyPortDetail
- NVid : XDp_TxMainStreamAttributes

### - o -

- OverrideUserPixelWidth : XDp_TxMainStreamAttributes

### - p -

- Pattern : XDp_TxLinkConfig
- PayloadDataWidth : XDp_Config
- PayloadTable : XDp_RxTopology
- PeerDeviceType : XDp_SbMsgLinkAddressReplyPortDetail
- PeLevel : XDp_TxLinkConfig
- PeVsAdjustCallback : XDp_Tx
- PeVsAdjustCallbackRef : XDp_Tx
- PixelClockHz : XDp_TxMainStreamAttributes
- PortDetails : XDp_SbMsgLinkAddressReplyDeviceInfo
- PortNum : XDp_SbMsgLinkAddressReplyPortDetail
- Ports : XDp_RxTopology

### - q -

- QuadPixelEn : XDp_Config

### - r -

- ReadData : XDp_RxIicMapEntry
- ReadNumBytes : XDp_RxIicMapEntry
- RelativeAddress : XDp_TxTopologyNode , XDp_TxMstStream
- RxConfig : XDp_Tx

### - s -

- SAxiClkHz : XDp_Config
- SbMsgDelayUs : XDp_Tx
- ScramblerEn : XDp_TxLinkConfig
- SecondaryChEn : XDp_Config
- SinkList : XDp_TxTopology
- SinkTotal : XDp_TxTopology
- SupportDownspreadControl : XDp_TxLinkConfig
- SupportEnhancedFramingMode : XDp_TxLinkConfig
- SynchronousClockMode : XDp_TxMainStreamAttributes

### - t -

- Topology : XDp_Tx , XDp_Rx
- TrainAdaptive : XDp_Tx
- TransferUnitSize : XDp_TxMainStreamAttributes
- TxMsaCallbackRef : XDp_Tx
- TxPeLevels : XDp_TxBoardChar
- TxSetMsaCallback : XDp_Tx
- TxVsLevels : XDp_TxBoardChar
- TxVsOffset : XDp_TxBoardChar

### - u -

- UserPixelWidth : XDp_TxMainStreamAttributes
- UserTimerPtr : XDp
- UserTimerWaitUs : XDp

### - v -

- VsLevel : XDp_TxLinkConfig
- VStart : XDp_TxMainStreamAttributes
- Vtm : XDp_TxMainStreamAttributes

### - w -

- WriteVal : XDp_RxIicMapEntry

### - y -

- YCbCrColorimetry : XDp_TxMainStreamAttributes
- YCrCbEn : XDp_Config
- YOnlyEn : XDp_Config